BSON_READER_DESTROY_FUNC_T(3)

SYNOPSIS

            typedef void (*bson_reader_destroy_func_t) (void *handle);

PARAMETERS

    •   handle: The opaque handle provided to bson_reader_new_from_handle().

DESCRIPTION

An optional callback function that will be called when a bson_reader_t created with bson_reader_new_from_handle() is destroyed with bson_reader_destroy().

The handle used when creating the reader is passed to this callback.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc